# include <RealTimer.h>
using namespace Alice;
# define __GNU__
RealTimer::RealTimer()
{
# ifdef __GNU__
  gettimeofday(&before,0);
# endif // __GNU__
};

RealTimer::~RealTimer()
{
};

double
RealTimer::age()
{
# ifdef __GNU__
  struct timeval after;
  gettimeofday(&after,0);
  double realTime = after.tv_usec - before.tv_usec;
  realTime /= 1e6;
  realTime += after.tv_sec - before.tv_sec;
  return realTime;
# else // not def __GNU__
  return 0;
# endif // __GNU__
};
